title: James McDonald
baseURL: "https://jamesmcdonald.com/"
paginate: 5
theme:
- papermod

disqusShortname: jamesmcdonald
enableRobotsTXT: true
googleAnalytics: ''

sectionPagesMenu: main


params:
  mainSections:
    - posts
  dateFormat: "2006-01-02"
  showShareButtons: true
  useHugoToc: true

  profileMode:
    enabled: true
    title: Hello there.
    subtitle: I'm James. This is where you can find my stuff.
    buttons:
      - name: Posts
        url: posts
      - name: Categories
        url: categories

  cover:
    hidden: true # hide everywhere but not in structured data
    hiddenInList: true # hide on list pages and home
    hiddenInSingle: true # hide on single page

  homeInfoParams:
    title: "Hello there"
    content: |
      I'm James, a person of the sysadmin persuasion and otherwise a nerd. I'm currently called an SRE after the fashion of the day. I occasionally stand accused of architecture or even devops.

      This is a place where I occasionally write about things if I have the time or inclination. Mostly posts about whatever tech is interesting at the time.

  socialIcons:
  - name: twitter
    url: https://twitter.com/xanthspod_
  - name: github
    url: https://github.com/jamesmcdonald
  - name: linkedin
    url: https://www.linkedin.com/in/james-mcdonald-4300202

  fuseOpts:
    isCaseSensitive: false
    shouldSort: true
    location: 0
    distance: 1000
    threshold: 0.4
    minMatchCharLength: 0
    keys: ["title", "permalink", "summary", "content"]

menu:
  main:
    - identifier: posts
      name: posts
      url: /posts/
      weight: 5
    - identifier: categories
      name: categories
      url: /categories/
      weight: 10
    # - identifier: tags
    #   name: tags
    #   url: /tags/
    #   weight: 20
    # - identifier: example
    #   name: example.org
    #   url: https://example.org
    #   weight: 30

pygmentsUseClasses: true
markup:
  highlight:
    noClasses: false
    # anchorLineNos: true
    # codeFences: true
    # guessSyntax: true
    lineNos: true
    style: monokai
  goldmark:
    renderer:
      unsafe: true
